import { GenericCrudService } from '../../utils/generic-crud.service';
import { DataSource } from 'typeorm';
import { Merchant } from './merchant.entity';

export class MerchantService extends GenericCrudService<Merchant> {
  constructor(dataSource: DataSource) {
    super(dataSource, Merchant);
  }
}